# studio::Dock_PalEdit Class Reference

`#include <dock_paledit.h>`

Inheritance diagram for studio::Dock_PalEdit:

List of all members.

## Public Member Functions

void | set_palette (const synfig::Palette &x)
const synfig::Palette & | get_palette () const
int | size () const
void | set_default_palette ()
void | refresh ()
const sigc::signal< void > & | signal_changed ()
| Dock_PalEdit ()
| ~Dock_PalEdit ()

## Friends

class | PaletteSettings

## Constructor & Destructor Documentation

Dock_PalEdit::Dock_PalEdit | ( |  | ) |

References _, synfigapp::Action::create(), set_default_palette(), studio::Dockable::set_toolbar(), and studio::App::ui_manager().

Dock_PalEdit::~Dock_PalEdit | ( |  | ) |

## Member Function Documentation

void Dock_PalEdit::set_palette | ( | const synfig::Palette & | x | ) |

References refresh().

const synfig::Palette& studio::Dock_PalEdit::get_palette | ( |  | ) | const`[inline]`

int Dock_PalEdit::size | ( |  | ) | const

Referenced by refresh().

void Dock_PalEdit::set_default_palette | ( |  | ) |

References refresh().

Referenced by Dock_PalEdit().

void Dock_PalEdit::refresh | ( |  | ) |

References studio::Widget_Color::set_value(), studio::Widget_Color::signal_activate(), studio::Widget_Color::signal_secondary(), and size().

Referenced by set_default_palette(), and set_palette().

const sigc::signal<void>& studio::Dock_PalEdit::signal_changed | ( |  | ) | `[inline]`

## Friends And Related Function Documentation

friend class PaletteSettings`[friend]`

The documentation for this class was generated from the following files:

- dock_paledit.h
- dock_paledit.cpp